commit:     2ca2b924942ecf5efaa7212693628e6033a590a0
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 23 07:09:29 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Dec 23 07:31:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ca2b924

dev-ruby/typeprof: add 0.21.9

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/typeprof/Manifest               |  1 +
 dev-ruby/typeprof/typeprof-0.21.9.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-ruby/typeprof/Manifest b/dev-ruby/typeprof/Manifest
index b9688863e5ca..9e2d2e5537ad 100644
--- a/dev-ruby/typeprof/Manifest
+++ b/dev-ruby/typeprof/Manifest
@@ -1,2 +1,3 @@
 DIST typeprof-0.21.7.tar.gz 1036834 BLAKE2B 
c0a8a1ed3a0592f72489eb342cbaf132e647d11ef5f3eef003b4208e512f581aacd586cac137c9b405d59f71e1b9e2cbc9903a9c1b4791db0ad0a64485247eea
 SHA512 
0dd149da7873ec4422a03fa31a828a8efafa5faff0c23dffde74650b71e14d472f1bb0c36d28a48e0538a761538504937ad4e0f8a711a9f5c2b52ac4128a8f37
 DIST typeprof-0.21.8.tar.gz 1035592 BLAKE2B 
8fe8749e802ddc6dc94212f433acbd86bf2e9ddb96a62f1591606cde9748a52aff6287bac9139de4d4e6f55e85b03b309938329b1b0f3206b822ed9f073301b5
 SHA512 
1c4e7ba04b3342d688976cd03e8c0181d94035284d8bb2a8b35aabad07252938d4ce4d4118128d6647bda2b36c01d4a14465859e1d79e8a3804fb7307d6d0fb9
+DIST typeprof-0.21.9.tar.gz 1035626 BLAKE2B 
20582ec0591ed4f375e68960e304f22515cbd28ad00bbe6001a0fc32ad19e03f41b54dff8cb03e9b1220417aa12ae2807d193d891b74b47e54130d277d1afb3a
 SHA512 
53182db1fe2187d2ab0fda1a07d40c6767e485d15588b101384beabbdcacddaa8044587b59fc166e03d2b768c549938b0e9893557c4854b3431694d6e3f4bc45

diff --git a/dev-ruby/typeprof/typeprof-0.21.9.ebuild 
b/dev-ruby/typeprof/typeprof-0.21.9.ebuild
new file mode 100644
index 000000000000..1e06e21cd0bd
--- /dev/null
+++ b/dev-ruby/typeprof/typeprof-0.21.9.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_BINDIR="exe"
+
+RUBY_FAKEGEM_GEMSPEC="typeprof.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Performs a type analysis of non-annotated Ruby code"
+HOMEPAGE="https://github.com/ruby/typeprof";
+SRC_URI="https://github.com/ruby/typeprof/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos 
~x64-solaris"
+SLOT="0"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/rbs-1.8.1"
+
+all_ruby_prepare() {
+       # Avoid tests that download live code using git
+       rm -r test/typeprof/diff-lcs_test.rb || die
+
+       sed -i -e "s:_relative ': './:" -e 's/git ls-files -z/find * -print0/' 
${RUBY_FAKEGEM_GEMSPEC} || die
+}

Reply via email to